Bug 289381 - "mt status" attempts to use /dev/tape, as a device, when it's a directory
"mt status" attempts to use /dev/tape, as a device, when it's a directory
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: mt-st (Show other bugs)
8
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On: 460265
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-13 11:09 EDT by Jay Fenlason
Modified: 2014-08-31 19:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-02 09:53:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Fenlason 2007-09-13 11:09:38 EDT
Description of problem:
The default tape device for mt is "/dev/tape", which is a directory in 
rawhide.  You have to manually specify "mt -f /dev/tape/by-id/* status" 
or "mt -f /dev/nst0 status" for it to work.

Version-Release number of selected component (if applicable):
mt-st-0.9b-4.fc8

How reproducible:
always

Steps to Reproduce:
1.install a tape drive
2.run "mt status"
3.
  
Actual results:
/dev/tape: Inappropriate ioctl for device

Expected results:
SCSI 2 tape drive:                                                              
File number=0, block number=0, partition=0.                                     
Tape block size 512 bytes. Density code 0x31 (AIT-2).                           
Soft error count since last status=0                                            
General status bits on (41010000):                                              
 BOT ONLINE IM_REP_EN

Additional info:
Comment 1 Robert K. Moniot 2007-09-25 10:07:33 EDT
I would add that this change broke some scripts of ours.  Also an earlier 
change of the semantics so that /dev/tape (now /dev/tape-nst0) became non-
rewinding, which used to be the role of /dev/ntape (which was removed 
altogether) broke some scripts.  I don't understand the reason for these 
changes, since the previous arrangement was working fine for decades, and the 
distinction between rewinding and non-rewinding devices was useful.
Sorry for the rant, but the impact of changes like this on people's admin 
scripts should be considered before they are implemented.
Comment 2 Bug Zapper 2008-04-04 09:49:46 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Bug Zapper 2008-11-26 02:47:37 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Dan Horák 2008-12-02 09:53:42 EST
As described in the bug #460265 the primary cause for this behavior is how udev is handling the tape devices.

Note You need to log in before you can comment on or make changes to this bug.